- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaeInterpolation Namespace Reference

Contains the animation curve interpolation types and their conversion functions. More...

## Enumerations
enum | Interpolation { STEP = 0, LINEAR, BEZIER, TCB, UNKNOWN, DEFAULT = STEP }
| An animation curve interpolation type. More...
## Functions
FCOLLADA_EXPORT Interpolation | FromString (const fm::string &value)
| Converts the COLLADA interpolation type string into an interpolation type.
FCOLLADA_EXPORT const char * | ToString (const Interpolation &value)
| Converts the interpolation type into its COLLADA type string.

## Detailed Description

Contains the animation curve interpolation types and their conversion functions.

## Enumeration Type Documentation

enum FUDaeInterpolation::Interpolation

  | An animation curve interpolation type. Enumerator:
  STEP | No interpolation. Uses the output value of the previous key until the next key time is reached.
  LINEAR | Linear interpolation. Uses the average slope between the previous key and the next key.
  BEZIER | Bezier interpolation. Uses two 2D control points for each segment, wrongly called in-tangent and out-tangent in COLLADA.
  TCB | TCB interpolation. Uses Tension, Continuity and Bias values to generate Hermite tangents. This interpolation type is not standard COLLADA.
  UNKNOWN | An unknown interpolation type.

## Function Documentation

FCOLLADA_EXPORT Interpolation FUDaeInterpolation::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the COLLADA interpolation type string into an interpolation type. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT const char* FUDaeInterpolation::ToString | ( | const Interpolation & | value | ) |

  | Converts the interpolation type into its COLLADA type string. Parameters:
  | value | The interpolation type.
Returns: The COLLADA interpolation type string.